Hosted
Generated hosted operations.
POST/v1/hosted/wakeRun hosted wakesession
- Audience
- Clients · Native API
- Authorization
- No credential needed
- OpenAPI operation ID
post_hosted_wake- Max body
- 64 KiB
Request body application/json · required
Example
{
"certificate": {
"keyId": "id_8h2k4q",
"notAfter": "2026-10-18T19:30:00Z",
"notBefore": "2026-10-18T19:30:00Z",
"publicKey": "string",
"purpose": "string",
"revision": 0,
"revoked": [
"string"
],
"signature": "string"
},
"keyId": "id_8h2k4q",
"payload": "string",
"signature": "string"
}Schema
certificateobject
- keyIdstringrequired
- notAfterstring (date-time)required
- notBeforestring (date-time)required
- publicKeystringrequired
- purposestringrequired
- revisionintegerrequired
- revokedarray of stringrequired
- signaturestringrequired
- keyIdstringrequired
- payloadstringrequired
- signaturestringrequired
Responses
202Success
defaultRequest refused or unavailableapplication/json
Example
{
"error": {
"code": "string",
"message": "string"
}
}Schema
errorobjectrequired
- codestringrequired
- messagestringrequired
Error codesinvalid_requestunauthorizednot_permittednot_foundinternaldatabase_busywriter_capacity
Example request
curl -X POST "http://127.0.0.1:32500/v1/hosted/wake" \
-H "Content-Type: application/json" \
-d '{
"certificate": {
"keyId": "id_8h2k4q",
"notAfter": "2026-10-18T19:30:00Z",
"notBefore": "2026-10-18T19:30:00Z",
"publicKey": "string",
"purpose": "string",
"revision": 0,
"revoked": [
"string"
],
"signature": "string"
},
"keyId": "id_8h2k4q",
"payload": "string",
"signature": "string"
}'No operations match that filter.